Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157929 - Mozilla not displayed in Gnome Applications->Internet
Summary: Mozilla not displayed in Gnome Applications->Internet
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-17 07:59 UTC by Kam Leo
Modified: 2018-04-11 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-19 13:55:29 UTC


Attachments (Terms of Use)

Description Kam Leo 2005-05-17 07:59:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Two problems with mozilla rpm:

1. Default setting for mozilla.desktop is "NoDisplay=true".  

   Why bother to download and install an application if you are not going to show it in the desktop application menu?

2. Since version 1.73 each mozilla update overwrites modified /usr/share/applicatons/mozilla.desktop. That should not happen. New mozilla.desktop should be installed as mozilla.desktop.rpmnew.

Version-Release number of selected component (if applicable):
1.73 thru 1.78

How reproducible:
Always

Steps to Reproduce:
1. Edit /usr/share/applications/mozilla.desktop
2. Change string "NoDisplay=true" to "NoDisplay=false"
3. Save file
4. In Gnome desktop click on Applications->Internet and verify Mozilla brower appears in menu.
5. Uninstall mozilla, e.g. rpm -e mozilla
6. Reinstall mozilla, e.g. rpm -ivh http://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/os/Fedora/RPMS/mozilla-1.7.3-17.i386.rpm
7. In Gnome desktop click on Applications->Internet.
8. Verify Mozilla browser does not appear in menu.
9. Edit /usr/share/applications/mozilla.desktop, change "NoDisplay=true" to "NoDisplay=false", and save file.
10. Verify Mozilla browser appears in menu.
11. Upgrade mozilla, i.e. rpm -Uvh http://download.fedora.redhat.com/pub/fedora/linux/core/updates/3/i386/mozilla-1.7.8-1.3.1.i386.rpm
12. Verify that modify version of mozilla.desktop is overwritten.

  

Actual Results:  1. Default setting: Mozilla browser does not appear in Applications->Internet menu
2. User modified mozilla.desktop file is overwritten by rpm package.

Expected Results:  1. Application should appear in menu, i.e. in mozilla.desktop default value for "NoDisplay" should be "false".

2. User modified/customized configuration file should not be overwritten by rpm install package.

Additional info:

Comment 1 Matthew Miller 2006-07-10 23:15:16 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Kam Leo 2006-07-25 03:59:26 UTC
Bug still exists in FC5. For file /usr/share/applications/mozilla.desktop
replace string "NoDisplay=true" with "NoDisplay=false".

Comment 3 Kam Leo 2006-07-25 04:02:22 UTC
(In reply to comment #2)
> Bug still exists in FC5. For file /usr/share/applications/mozilla.desktop
> replace string "NoDisplay=true" with "NoDisplay=false".

For the record:

# rpm -q mozilla
mozilla-1.7.13-1.1.fc5 

Comment 4 Matěj Cepl 2007-07-18 17:29:42 UTC
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.


Comment 5 Kam Leo 2007-07-18 20:55:28 UTC
1. I no longer have an environment available for regression testing.
2. Since it ain't ever going to get a developer's/maintainer's attention please
close this bug. 

Great QA process, guys. A trivial bug with an easy fix sits dormant for over two
years. It is unfortunate that this is not the only bug report that has met a
similar fate. Why is the process letting so much time elapse before it gets
flagged? Is it Bugzilla? If so please inform Red Hat that they need to put some
money into their development backend.

Comment 6 Matěj Cepl 2007-07-19 13:55:29 UTC
I am sorry for letting this bug rot for so long, but my job now is exactly to
clear our bugzilla to make it more useful. I am sorry again.


Note You need to log in before you can comment on or make changes to this bug.